[aur-general] Backslash to split lines in `depends` array

Fabien Dubosson fabien.dubosson at gmail.com
Sun Nov 3 07:29:42 EST 2013


I was trying to update my AUR packages with `aura` [1] † and get the
following error:

    aura >>= Determining dependencies...
    aura >>= Dependency checking failed for these reasons:
    The dependency `\` could not be found. You may need to search for a
package to satisfy it.

This is due to the following lines in `octave-hg` [2] PKGBUILD:

    depends=('fftw>=3.2.2' 'curl' 'fltk' 'hdf5' 'glpk' 'arpack' 'gl2ps' \
      'qrupdate' 'qscintilla' 'qhull' 'graphicsmagick' 'java-environment')

The problem doesn't seem to appear with `yaourt` [3] . So before filling a
bug request to `aura`, I wanted to be sure that it is allowed/common to use
`\` to split lines in the `depends` array?

If it is not the case, I will post a comment on the `octave-hg` AUR page to
ask to remove the backslash.

† Also tested with `aura-git`, the problem still exists.

[1] https://aur.archlinux.org/packages/aura/
[2] https://aur.archlinux.org/packages/octave-hg/
[3] https://aur.archlinux.org/packages/yaourt/

Best regards,

More information about the aur-general mailing list